Package uk.ac.starlink.topcat.plot

## Class SetId

- java.lang.Object
- - uk.ac.starlink.topcat.plot.SetId

-     public class SetId
      extends java.lang.Object

  Characterises a plottable set of points selected within a PointSelector. Instances of this class are used as labels to keep track of plotting sets.
  Since:
    11 Jan 2005
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SetId​(PointSelector psel, int iset)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `PointSelector` | `getPointSelector()` | Returns the PointSelector which generated this ID.
    `int` | `getSetIndex()` | Returns the index of the set within its PointSelector which identifies this ID.
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SetId

          public SetId​(PointSelector psel,
                       int iset)

      Constructor.
      Parameters:
        `psel` - point selector owning the set
        `iset` - index of the set within `psel`

  - ### Method Detail

    - #### getPointSelector

          public PointSelector getPointSelector()

      Returns the PointSelector which generated this ID.
      Returns:
        point selector

    - #### getSetIndex

          public int getSetIndex()

      Returns the index of the set within its PointSelector which identifies this ID.
      Returns:
        set index

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`